package com.xingxi.business.ProdInventory.service;

import com.xingxi.business.ProdInventory.domain.ProdInventory;

import java.util.List;

/**
 * 商品库存Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface IProdInventoryService {
    /**
     * 查询商品库存
     *
     * @param prodInventoryId 商品库存主键
     * @return 商品库存
     */
    ProdInventory selectProdInventoryByProdInventoryId(Long prodInventoryId);

    /**
     * 查询商品库存列表
     *
     * @param prodInventory 商品库存
     * @return 商品库存集合
     */
    List<ProdInventory> selectProdInventoryList(ProdInventory prodInventory);

    /**
     * 新增商品库存
     *
     * @param prodInventory 商品库存
     * @return 结果
     */
    int insertProdInventory(ProdInventory prodInventory);

    /**
     * 新增商品库存
     *
     * @param prodInventoryList 商品库存
     * @return 结果
     */
    int batchInsertProdInventory(List<ProdInventory> prodInventoryList);

    /**
     * 修改商品库存
     *
     * @param prodInventory 商品库存
     * @return 结果
     */
    int updateProdInventory(ProdInventory prodInventory);

    /**
     * 批量删除商品库存
     *
     * @param prodInventoryIds 需要删除的商品库存主键集合
     * @return 结果
     */
    int deleteProdInventoryByProdInventoryIds(String prodInventoryIds);

    /**
     * 删除商品库存信息
     *
     * @param prodInventoryId 商品库存主键
     * @return 结果
     */
    int deleteProdInventoryByProdInventoryId(Long prodInventoryId);

    /**
     * 逻辑删除商品库存
     *
     * @param prodInventoryId 商品库存主键
     * @return 结果
     */
    int logicDeleteProdInventoryByProdInventoryId(Long prodInventoryId);

    /**
     * 逻辑批量删除商品库存
     *
     * @param prodInventoryIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteProdInventoryByProdInventoryIds(String[] prodInventoryIds);

    /**
     * 逻辑批量删除商品库存
     *
     * @param prodInventory 商品库存
     * @return 结果
     */
    int logicDeleteProdInventoryByCondition(ProdInventory prodInventory);
}
